ICONV(1)

BEZEICHNUNG
iconv - Zeichenkodierung eines Texts in eine andere umwandeln

ÜBERSICHT
iconv [Optionen] [-f Ausgangskodierung] [-t Zielkodierung] [Eingabedatei] …

BESCHREIBUNG
Das Programm iconv liest Text in einer Zeichenkodierung und gibt den Text in einer anderen Zeichenkodierung aus. Falls keine Eingabedateien oder diese in Form eines Minuszeichens (-) angegeben werden, liest iconv aus der Standardeingabe. Wird keine Ausgabedatei angegeben, schreibt iconv in die Standardausgabe.

Falls die Ausgangskodierung und/oder Zielkodierung nicht angegeben ist, werden die Vorgaben dafür aus der Zeichenkodierung der aktuellen Locale abgeleitet.

OPTIONEN

-f Ausgangskodierung, --from-code=Ausgangskodierung
    verwendet die angegebene Ausgangskodierung für die Zeichen der Eingabe.

-t Zielkodierung, --to-code=Zielkodierung
    verwendet die angegebene Zielkodierung für die Zeichen der Ausgabe.

    Falls die Zeichenkette //IGNORE an die Zielkodierung angehängt wird, dann werden nicht umwandelbare Zeichen verworfen und nach der Umwandlung eine Fehlermeldung ausgegeben.

    Falls die Zeichenkette //TRANSLIT an die Zielkodierung angehängt wird, werden Zeichen »transliteriert« (umgeschrieben), falls das notwendig und möglich ist. Das bedeutet, dass ein im Ziel-Zeichensatz nicht darstellbares Zeichen durch ein oder mehrere ähnlich aussehende Zeichen dargestellt werden kann. Zeichen, die im Ziel-Zeichensatz nicht verfügbar sind, aber auch nicht umgeschrieben werden können, werden in der Ausgabe durch ein Fragezeichen (?) ersetzt.

-l, --list
    listet alle bekannten Zeichensatzkodierungen auf.

-c  verwirft stillschweigend Zeichen, die nicht umgewandelt werden können, anstatt das Programm zu beenden, wenn solche Zeichen erkannt werden.

-o Ausgabedatei, --output=Ausgabedatei
    verwendet die angegebene Ausgabedatei für die Ausgabe.

-s, --silent
    wird ignoriert; wird nur aus Kompatibilitätsgründen bereitgestellt.

--verbose
    schreibt Fortschrittsinformationen in die Standardfehlerausgabe, wenn mehrere Dateien verarbeitet werden.

-?, --help
    Benutzungshinweise ausgeben und beenden.

--usage
    gibt eine kurze Aufrufzusammenfassung aus und beendet das Programm.

-V, --version
    gibt für iconv die Versionsnummer, die Lizenz und einen Haftungsausschluss aus.

EXIT-STATUS
Null bei Erfolg, von Null verschieden bei Fehlern.

UMGEBUNGSVARIABLEN
Intern verwendet das Programm iconv die Funktion iconv(3), die wiederum auf gconv-Module zurückgreift (dynamisch geladene gemeinsame Bibliotheken), um von einer Zeichenkodierung in eine andere umzuwandeln. Vor dem Aufruf von iconv(3) muss das Programm iconv zuerst mittels iconv_open(3) einen Umwandlungsdeskriptor zuweisen. Die Vorgehensweise der letzteren Funktion wird durch das Setzen der Umgebungsvariable GCONV_PATH beeinflusst:

*   Falls GCONV_PATH nicht gesetzt ist, lädt iconv_open(3) die systemweite, von iconvconfig(8) erstellte gconv-Modulkonfigurationszwischenspeicherdatei. Anschließend werden, basierend auf der Konfiguration, die zur Umwandlung erforderlichen gconv-Module geladen. Falls die systemweite gconv-Modulkonfigurationszwischenspeicherdatei nicht verfügbar ist, wird die systemweite gconv-Modulkonfigurationsdatei verwendet.

*   Falls GCONV_PATH definiert ist (als eine durch Doppelpunkte getrennte Liste aus Pfadnamen), dann wird der systemweite gconv-Modulkonfigurationszwischenspeicher nicht verwendet. Stattdessen versucht iconv_open(3) zunächst die Verzeichnisse in GCONV_PATH in der dort angegebenen Reihenfolge nach Konfigurationsdateien zu durchsuchen, danach die systemweite gconv-Modulkonfigurationsdatei. Falls ein Verzeichnis keine gconv-Modulkonfigurationsdatei enthält, werden sämtliche eventuell enthaltenen gconv-Module ignoriert. Falls ein Verzeichnis eine gconv-Modulkonfigurationsdatei enthält und festgestellt wird, dass ein für die Umwandlung erforderliches Modul in diesem Verzeichnis verfügbar ist, dann wird das benötigte Modul von dort geladen; die Reihenfolge bestimmt, dass das zuerst in GCONV_PATH gefundene Modul geladen wird. Dies ermöglicht Benutzern, eigene Module zu verwenden und selbst die systemweit verfügbaren Module zu ersetzen, indem sie solche Module in GCONV_PATH-Verzeichnissen bereitstellen.

DATEIEN

/usr/lib/gconv
    Üblicher gconv-Vorgabemodulpfad.

/usr/lib/gconv/gconv-modules
    Übliche, systemweite Vorgabedatei für die gconv-Modulkonfiguration.

/usr/lib/gconv/gconv-modules.cache
    Üblicher gconv-Modulkonfigurationszwischenspeicher.

KONFORM ZU
POSIX.1-2001.

BEISPIEL
Text aus der Zeichenkodierung ISO 8859-15 in UTF-8 umwandeln:

    $ iconv -f ISO-8859-15 -t UTF-8 < Eingabe.txt > Ausgabe.txt

Das nächste Beispiel wandelt von UTF-8 in ASCII um, mit Umschreibung, falls möglich:

    $ echo abc ß α € àḃç | iconv -f UTF-8 -t ASCII//TRANSLIT
    abc ss ? EUR abc

SIEHE AUCH
locale(1), uconv(1), iconv(3), nl_langinfo(3), charsets(7), iconvconfig(8)

KOLOPHON
Diese Seite ist Teil der Veröffentlichung 5.05 des Projekts Linux-man-pages. Eine Beschreibung des Projekts, Informationen, wie Fehler gemeldet werden können sowie die aktuelle Version dieser Seite finden sich unter https://www.kernel.org/doc/man-pages/.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.